#pragma once

#include <set>
#include "managedObject.hpp"

namespace render {
namespace kernel {

class ObjectManager
{
private:
    static std::set<ManagedObject*> objects;
public:
    static void Track(ManagedObject *object) noexcept;
    static void StopTrack(ManagedObject *object) noexcept;

    static void CleanUp() noexcept;
};

}
}
